Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356522 - [devexp_public_962]Jenkins job doesn't timeout when using an unexist slave node
Summary: [devexp_public_962]Jenkins job doesn't timeout when using an unexist slave node
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Image
Version: 3.x
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 10:09 UTC by XiuJuan Wang
Modified: 2016-09-19 13:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:53:31 UTC


Attachments (Terms of Use)

Description XiuJuan Wang 2016-07-14 10:09:42 UTC
Description of problem:
Jenkins job doesn't timeout when using an unexist slave node, will hang on "Waiting for next available executor"

Version-Release number of selected component (if applicable):
devenv-rhel7_4585
openshift/jenkins-1-rhel7 60850ad15654
openshift/jenkins-1-centos7 a39fbfd127b6

How reproducible:
always

Steps to Reproduce:
1.Create a jenkinspipeline app
2.Configure the sample-pipeline job scripts with an unexist slave node
3.Trigger a build

Actual results:
Jenkins job doesn't timeout when using an unexist slave node, will hang on "Waiting for next available executor"

Expected results:
Should failed the job with error.

Additional info:

Comment 1 Ben Parees 2016-07-14 14:04:55 UTC
I don't think there's anything we can do about this...  that's jenkins+cloud plugin behavior.

technically if you go define the node in the cloud plugin while the job is pending, it will actually get kicked off immediately.

Comment 2 XiuJuan Wang 2016-07-15 01:55:15 UTC
Thanks, move the bug to verified according to comment #1


Note You need to log in before you can comment on or make changes to this bug.